%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print (get_python_lib())")}

%global srcname distribute
Name:           python-docopt
Version:        0.6.1
Release:        1%{?dist}
Summary:        Pythonic argument parser, that will make you smile

License:        MIT
URL:            https://github.com/docopt/docopt
Source0:        http://pypi.python.org/packages/source/d/docopt/docopt-%{version}.tar.gz

BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-nose
BuildRequires:  pytest

BuildArch:      noarch

%description
Isn't it awesome how optparse and argparse generate help messages
based on your code?!

Hell no! You know what's awesome? It's when the option parser is
generated based on the beautiful help message that you write yourself!
This way you don't need to write thisstupid repeatable parser-code,
and instead can write only the help message--*the way you want it*.

%prep
%setup -q -n docopt-%{version}

# remove upstream egg-info
rm -rf *.egg-info

%build
%{__python} setup.py build

%install

%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT

%check
%{__python} setup.py nosetests

%files
%{python_sitelib}/docopt.py*
%{python_sitelib}/docopt-*.egg-info

%changelog
* Thu Feb 18 2016 Ryan Hallisey <rhallise@redhat.com> - 0.6.1-1
- python-docopt for OpenStack
